tigase.server.sreceiver

## Class RepoRosterTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.RepoRosterTask

- All Implemented Interfaces:
    ReceiverTaskIfc
  Direct Known Subclasses:
    NewsDistributor, PubSubTestsTask, ShortNewsPublisher, SystemMonitorTask

      public abstract class RepoRosterTask
      extends AbstractReceiverTask

  Describe class RepoRosterTask here. Created: Sat May 12 23:41:52 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepoRosterTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RosterItem` | `addToRoster(tigase.xmpp.JID jid)` Method description
    `void` | `destroy(Queue<Packet> results)` Method description
    `void` | `loadRoster()` Method description
    `RosterItem` | `removeFromRoster(tigase.xmpp.JID jid)` Method description
    `void` | `setParams(Map<String,Object> map)` Method description
    `void` | `setRosterItemAdmin(RosterItem ri, boolean admin)` Method description
    `void` | `setRosterItemModerationAccepted(RosterItem ri, boolean accepted)` Method description
    `void` | `setRosterItemOwner(RosterItem ri, boolean owner)` Method description
    `void` | `setRosterItemSubscribed(RosterItem ri, boolean subscribed)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addOutPacket, addToRoster, getDefaultParams, getDescription, getInstance, getJID, getParams, getRoster, getRosterItem, getStatistics, getStats, init, isAdmin, isAllowedToPost, isAllowedToSubscribe, processMessage, processPacket, removeSubscribers, setJID, setRosterItemOnline, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.server.sreceiver.ReceiverTaskIfc

      `getHelp, getType`

- - ### Constructor Detail

    - #### RepoRosterTask

          public RepoRosterTask()

  - ### Method Detail

    - #### addToRoster

          public RosterItem addToRoster(tigase.xmpp.JID jid)

      Method description
      Overrides:
        `addToRoster` in class `AbstractReceiverTask`
      Parameters:
        `jid` -

    - #### destroy

          public void destroy(Queue<Packet> results)

      Method description
      Specified by:
        `destroy` in interface `ReceiverTaskIfc`
      Overrides:
        `destroy` in class `AbstractReceiverTask`
      Parameters:
        `results` -

    - #### loadRoster

          public void loadRoster()
                          throws TigaseDBException

      Method description
      Throws:
        `TigaseDBException`

    - #### removeFromRoster

          public RosterItem removeFromRoster(tigase.xmpp.JID jid)

      Method description
      Overrides:
        `removeFromRoster` in class `AbstractReceiverTask`
      Parameters:
        `jid` -

    - #### setParams

          public void setParams(Map<String,Object> map)

      Method description
      Specified by:
        `setParams` in interface `ReceiverTaskIfc`
      Overrides:
        `setParams` in class `AbstractReceiverTask`
      Parameters:
        `map` -

    - #### setRosterItemAdmin

          public void setRosterItemAdmin(RosterItem ri,
                                boolean admin)

      Method description
      Overrides:
        `setRosterItemAdmin` in class `AbstractReceiverTask`
      Parameters:
        `ri` -
        `admin` -

    - #### setRosterItemModerationAccepted

          public void setRosterItemModerationAccepted(RosterItem ri,
                                             boolean accepted)

      Method description
      Specified by:
        `setRosterItemModerationAccepted` in interface `ReceiverTaskIfc`
      Overrides:
        `setRosterItemModerationAccepted` in class `AbstractReceiverTask`
      Parameters:
        `ri` -
        `accepted` -

    - #### setRosterItemOwner

          public void setRosterItemOwner(RosterItem ri,
                                boolean owner)

      Method description
      Overrides:
        `setRosterItemOwner` in class `AbstractReceiverTask`
      Parameters:
        `ri` -
        `owner` -

    - #### setRosterItemSubscribed

          public void setRosterItemSubscribed(RosterItem ri,
                                     boolean subscribed)

      Method description
      Overrides:
        `setRosterItemSubscribed` in class `AbstractReceiverTask`
      Parameters:
        `ri` -
        `subscribed` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.